Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Class ActionBeanBinderImpl

    java.lang.Object
      com.jgoodies.binding.binder.ObjectBinderImpl
          com.jgoodies.binding.binder.BeanBinderImpl<com.jgoodies.common.internal.IActionBean>
              com.jgoodies.binding.binder.ActionBeanBinderImpl

All Implemented Interfaces:
  ActionBeanBinder, ActionObjectBinder, BeanBinder, ObjectBinder

    public class ActionBeanBinderImpl

extends BeanBinderImpl<com.jgoodies.common.internal.IActionBean>
implements ActionBeanBinder

Adds binding capabilities for bean property names to its superclass that can bind Action names, ValueModels, SelectionInLists, Actions, and ListModel + ListSelectionModel.

Since:
  2.7
Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch

Constructor Summary
`ActionBeanBinderImpl(com.jgoodies.common.internal.IActionBean model)`

Method Summary
`ActionBindingBuilder` | `bindAction(String actionName)` Looks up an Action for this binder and the given action name.

Methods inherited from class com.jgoodies.binding.binder.BeanBinderImpl
`bindProperty, getBeanAdapter, getTarget`

Methods inherited from class com.jgoodies.binding.binder.ObjectBinderImpl
`bind, bind, bind, bind, bind, bind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jgoodies.binding.binder.BeanBinder
`bindProperty`

Methods inherited from interface com.jgoodies.binding.binder.ObjectBinder
`bind, bind, bind, bind, bind, bind`

Constructor Detail

### ActionBeanBinderImpl

    public ActionBeanBinderImpl(com.jgoodies.common.internal.IActionBean model)

Method Detail

### bindAction

    public ActionBindingBuilder bindAction(String actionName)

  Description copied from interface: `ActionObjectBinder`
  Looks up an Action for this binder and the given action name. Then creates and returns a binding builder that manages an Action that can be operated on and that can be bound to a button or text field.

  Examples:
  `binder.bindAction("edit") .to(editButton);`
  `binder.bindAction(ACTION_EDIT).to(editButton);`

  Implementations will typically look up an Action for a given action name and hand it over to `ObjectBinder.bind(javax.swing.Action)`.

  Specified by:
    `bindAction` in interface `ActionObjectBinder`
  Parameters:
    `actionName` - the name of the Action to be bound
  Returns:
    the binding builder that holds the Action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.